gnutls_openpgp_crt_get_pk_algorithm(3)

NAME
gnutls_openpgp_crt_get_pk_algorithm - return the key's PublicKey algorithm

SYNOPSIS
#include <gnutls/openpgp.h>

gnutls_pk_algorithm_t gnutls_openpgp_crt_get_pk_algorithm(gnutls_openpgp_crt_t key, unsigned int * bits);

ARGUMENTS

gnutls_openpgp_crt_t key
    is an OpenPGP key

unsigned int * bits
    if bits is non null it will hold the size of the parameters' in bits

DESCRIPTION
This function will return the public key algorithm of an OpenPGP certificate. If bits is non null, it should have enough size to hold the parameters size in bits. For RSA the bits returned is the modulus. For DSA the bits returned are of the public exponent.

RETURNS
a member of the gnutls_pk_algorithm_t enumeration on success, or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.